[Overview][Constants][Types][Classes][Index] | Reference for unit 'fgl' (#rtl)

# TFPGMapInterfacedObjectData.TryGetData

Find data or return default

## Declaration

Source position: fgl.pp line 422

`public function TFPGMapInterfacedObjectData.TryGetData(`
`const AKey: TKey;`
`out AData: TData`
`):Boolean;`

## Description

TryGetData will search the map for AKey and return True or False depending on whether the value with the given key was found. If the key was found, the associated value is returned in AData, if it is not found a default value (using Default) is returned.

## Errors

None.

## See also

TFPGMapInterfacedObjectData.Find |  | Find item based on key